Index: WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py	(revision 2891)
+++ 	(revision )
@@ -1,28 +1,0 @@
-##parameters=REQUEST
-# $Id$
-"""
-simulate a callback
-"""
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-
-import DateTime,logging
-current = DateTime.DateTime()
-pr = context.portal_registration
-logger = logging.getLogger('Skins.simulate_callback')
-
-args = {}
-args['desc'] = 'Simulated Callback'
-args['PayRef'] = 'GTB|WEB|ISW|1-01-2000|000234'
-args['resp'] = '00'
-args['cardNum'] = '0000'
-args['ApprAmt'] = REQUEST.get('x_amt')
-from urllib import urlencode
-#set_trace()
-#url = "%s" % (context.absolute_url())
-raw_url = REQUEST.get("site_redirect_url")
-url = "%s&%s" % (raw_url,urlencode(args))
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py_not_used
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py_not_used	(revision 2892)
+++ WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py_not_used	(revision 2892)
@@ -0,0 +1,28 @@
+##parameters=REQUEST
+# $Id: simulate_callback.py 2857 2007-12-04 16:28:13Z joachim $
+"""
+simulate a callback
+"""
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+import DateTime,logging
+current = DateTime.DateTime()
+pr = context.portal_registration
+logger = logging.getLogger('EPayment.Simulate')
+
+args = {}
+args['desc'] = 'Simulated Callback'
+args['PayRef'] = 'GTB|WEB|ISW|1-01-2000|000234'
+args['resp'] = '00'
+args['cardNum'] = '0000'
+args['ApprAmt'] = REQUEST.get('x_amt')
+from urllib import urlencode
+#set_trace()
+#url = "%s" % (context.absolute_url())
+raw_url = REQUEST.get("site_redirect_url") 
+url = "%s&%s" % (raw_url,urlencode(args))
+return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/uniben/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/payment.xml	(revision 2891)
+++ WAeUP_SRP/uniben/profiles/default/layouts/payment.xml	(revision 2892)
@@ -128,25 +128,25 @@
   <property name="vocabulary">payment_status</property>
  </widget>
- <widget name="subject" meta_type="Select Widget">
-  <property name="title">Payment Subject</property>
-  <property name="fields">
-   <element value="subject"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Payment Subject</property>
-  <property name="label_edit">Payment Subject</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">payment_subjects</property>
- </widget>
- <widget name="target" meta_type="String Widget">
-  <property name="title">Payment Target</property>
-  <property name="fields">
-   <element value="target"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Payment for</property>
-  <property name="label_edit">Payment for</property>
+ <widget name="category" meta_type="Select Widget">
+  <property name="title">Payment Category</property>
+  <property name="fields">
+   <element value="category"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Payment Category</property>
+  <property name="label_edit">Payment Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">payment_categories</property>
+ </widget>
+ <widget name="item" meta_type="String Widget">
+  <property name="title">Payment Item</property>
+  <property name="fields">
+   <element value="item"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Payment Item</property>
+  <property name="label_edit">Payment Item</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/uniben/profiles/default/payments_catalog.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/payments_catalog.xml	(revision 2891)
+++ WAeUP_SRP/uniben/profiles/default/payments_catalog.xml	(revision 2892)
@@ -14,8 +14,8 @@
  <column value="status"/>
  <column value="student_id"/>
- <column value="subject"/>
+ <column value="category"/>
  <column value="surcharge"/>
  <column value="type"/>
- <column value="target"/>
+ <column value="item"/>
  <index name="key" meta_type="FieldIndex">
   <indexed_attr value="key"/>
@@ -35,5 +35,5 @@
  <index name="resp_desc" meta_type="KeywordIndex">
   <indexed_attr value="resp_desc"/>
- </index>  
+ </index>
  <index name="session_id" meta_type="FieldIndex">
   <indexed_attr value="session_id"/>
@@ -41,15 +41,15 @@
   <index name="status" meta_type="FieldIndex">
     <indexed_attr value="status"/>
- </index> 
+ </index>
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
  </index>
- <index name="subject" meta_type="KeywordIndex">
-  <indexed_attr value="subject"/>
+ <index name="category" meta_type="FieldIndex">
+  <indexed_attr value="category"/>
  </index>
- <index name="target" meta_type="FieldIndex">
-  <indexed_attr value="target"/>
+ <index name="item" meta_type="FieldIndex">
+  <indexed_attr value="item"/>
  </index>
- <index name="type" meta_type="KeywordIndex">
+ <index name="type" meta_type="FieldIndex">
   <indexed_attr value="type"/>
  </index>
Index: WAeUP_SRP/uniben/profiles/default/schemas/payment.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 2891)
+++ WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 2892)
@@ -8,7 +8,7 @@
   <field name="amount" meta_type="CPS String Field"/>
   <field name="surcharge" meta_type="CPS String Field"/>
-  <field name="subject" meta_type="CPS String Field"/>
+  <field name="item" meta_type="CPS String Field"/>
   <field name="type" meta_type="CPS String Field"/>
-  <field name="target" meta_type="CPS String Field"/>
+  <field name="category" meta_type="CPS String Field"/>
   <field name="status" meta_type="CPS String Field"/>
   <field name="resp_pay_reference" meta_type="CPS String Field"/>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies.xml	(revision 2891)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies.xml	(revision 2892)
@@ -31,5 +31,5 @@
  <object name="payment_types" meta_type="CPS Vocabulary"/>
  <object name="payment_status" meta_type="CPS Vocabulary"/>
- <object name="payment_subjects" meta_type="CPS Vocabulary"/>
+ <object name="payment_categories" meta_type="CPS Vocabulary"/>
  <object name="exam_types" meta_type="CPS Vocabulary"/>
  <object name="pin_prefixes" meta_type="CPS Vocabulary"/>
@@ -49,4 +49,4 @@
  <object name="screening_types" meta_type="CPS Vocabulary"/>
  <object name="aos" meta_type="CPS Vocabulary"/>
- <object name="application_status" meta_type="CPS Vocabulary"/> 
+ <object name="application_status" meta_type="CPS Vocabulary"/>
  </object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_categories.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_categories.xml	(revision 2892)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_categories.xml	(revision 2892)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="payment_categories" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid=""></item>
+    <item key="hostel_maintenance" msgid="">Hostel Maintenance</item>
+    <item key="schoolfee" msgid="">School Fee</item>
+    <item key="transfer" msgid="">Transfer</item>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml	(revision 2891)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="payment_subjects" meta_type="CPS Vocabulary">
-    <property name="title"></property>
-    <property name="title_msgid"></property>
-    <property name="description"></property>
-    <property name="acl_write_roles">Manager</property>
-
-    <item key="" msgid=""></item>
-    <item key="hostel_maintenance" msgid="">Hostel Maintainance</item>
-    <item key="schoolfee" msgid="">School Fee</item>
-    <item key="transfer" msgid="">Transfer</item>
-</object>
Index: WAeUP_SRP/uniben/waeup_custom/pay_interswitch.py
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/pay_interswitch.py	(revision 2891)
+++ WAeUP_SRP/uniben/waeup_custom/pay_interswitch.py	(revision 2892)
@@ -72,6 +72,6 @@
 info['type'] = 'online'
 info['status'] = 'started'
-info['target'] = student_record.course
-info['subject'] = 'schoolfee'
+info['item'] = student_record.course
+info['category'] = 'schoolfee'
 now = DateTime.DateTime()
 info['date'] = now