Index: WAeUP_SRP/base/Students.py
===================================================================
--- WAeUP_SRP/base/Students.py	(revision 2911)
+++ WAeUP_SRP/base/Students.py	(revision 2912)
@@ -219,5 +219,5 @@
                 continue
             try:
-                icl = int(old_current_level)                
+                icl = int(old_current_level)
                 if icl == int(old_current_level) and old_study_course == new_study_course:
                     em = 'Already transferred'
@@ -594,6 +594,7 @@
         """compose title"""
         content = self.getContent()
+        session_str = self.portal_vocabularies.sessions.get(content.session)
         #return "Accommodation Data for %s %s" % (content.firstname,content.lastname)
-        return "Accommodation Data for Session %s" % content.session
+        return "Accommodation Data for Session %s" % session_str
 
 
@@ -618,5 +619,5 @@
     def Title(self):
         """compose title"""
-        content = self.getContent()
+        #content = self.getContent()
         #return "Personal Data for %s %s" % (content.firstname,content.lastname)
         return "Personal Data"
@@ -643,5 +644,5 @@
     def Title(self):
         """compose title"""
-        content = self.getContent()
+        #content = self.getContent()
         #return "Clearance/Eligibility Record for %s %s" % (content.firstname,content.lastname)
         return "Clearance/Eligibility Record"
@@ -715,5 +716,5 @@
     def Title(self):
         """compose title"""
-        content = self.getContent()
+        #content = self.getContent()
         return "Study Course"
 
@@ -750,59 +751,4 @@
 ###)
 
-class StudentPume(CPSDocument): ###(
-    """
-    WAeUP Student container for the various student data
-    """
-    meta_type = 'StudentPume'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        return "PUME Results"
-
-
-InitializeClass(StudentPume)
-
-def addStudentPume(container, id, REQUEST=None, **kw):
-    """Add a Students PUME data."""
-    ob = StudentPume(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-###)
-
-##class StudentSemester(CPSDocument): ###(
-##    """
-##    WAeUP StudentSemester containing the courses and students
-##    """
-##    meta_type = 'StudentSemester'
-##    portal_type = meta_type
-##    security = ClassSecurityInfo()
-##
-##InitializeClass(StudentSemester)
-##
-##def addStudentSemester(container, id, REQUEST=None, **kw):
-##    """Add a StudentSemester."""
-##    ob = StudentSemester(id, **kw)
-##    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-##
-#####)
-
-##class Semester(CPSDocument): ###(
-##    """
-##    WAeUP Semester containing the courses and students
-##    """
-##    meta_type = 'Semester'
-##    portal_type = meta_type
-##    security = ClassSecurityInfo()
-##
-##InitializeClass(Semester)
-##
-##def addSemester(container, id, REQUEST=None, **kw):
-##    """Add a Semester."""
-##    ob = Semester(id, **kw)
-##    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-##
-#####)
 
 class StudentCourseResult(CPSDocument): ###(
@@ -839,4 +785,27 @@
 ###)
 
+class StudentPume(CPSDocument): ###(
+    """
+    WAeUP Student container for the various student data
+    """
+    meta_type = 'StudentPume'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        return "PUME Results"
+
+
+InitializeClass(StudentPume)
+
+def addStudentPume(container, id, REQUEST=None, **kw):
+    """Add a Students PUME data."""
+    ob = StudentPume(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
+
+
 # Backward Compatibility StudyLevel
 
Index: WAeUP_SRP/base/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/reserve_accommodation.py	(revision 2911)
+++ WAeUP_SRP/base/skins/waeup_student/reserve_accommodation.py	(revision 2912)
@@ -40,6 +40,6 @@
 acco_id = info['acco_id']
 #session = info['session'][1]
-session = info['session']
-#session = acco_id[-4:]
+session = info['session'][0]
+
 validate = REQUEST.has_key("cpsdocument_create_button")
 if info.has_key('acco') and info['acco']:
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation.xml	(revision 2911)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation.xml	(revision 2912)
@@ -39,10 +39,10 @@
  </widget>
  <widget name="acco_maint_fee" meta_type="String Widget">
-  <property name="title">Maintenance Payment Fee</property>
+  <property name="title">Maintenance Fee</property>
   <property name="fields">
    <element value="acco_maint_fee"/>
   </property>
-  <property name="label">Maintenance Payment Fee</property>
-  <property name="label_edit">Maintenance Payment Fee</property>
+  <property name="label">Maintenance Fee</property>
+  <property name="label_edit">Maintenance Fee</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation_fe.xml	(revision 2911)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation_fe.xml	(revision 2912)
@@ -22,5 +22,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">%d/%m/%Y</property>
-  <property name="time_setting">False</property>  
+  <property name="time_setting">False</property>
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
@@ -38,4 +38,19 @@
   <property name="prefix">@getMaintenancePrefix</property>
  </widget>
+ <widget name="acco_maint_fee" meta_type="String Widget">
+  <property name="title">Maintenance Fee</property>
+  <property name="fields">
+   <element value="acco_maint_fee"/>
+  </property>
+  <property name="label">Maintenance Fee</property>
+  <property name="label_edit">Maintenance Fee</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
  <widget name="acco_res_date" meta_type="DateTime Widget">
   <property name="title">Hostel Application Date</property>
@@ -53,5 +68,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">%d/%m/%Y</property>
-  <property name="time_setting">False</property>  
+  <property name="time_setting">False</property>
  </widget>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
@@ -129,4 +144,7 @@
   </row>
   <row>
+   <cell name="acco_maint_fee"/>
+  </row>  
+  <row>
    <cell name="acco_maint_date"/>
   </row>
Index: WAeUP_SRP/uniben/waeup_custom/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/getPaymentsFolderInfo.py	(revision 2911)
+++ WAeUP_SRP/uniben/waeup_custom/getPaymentsFolderInfo.py	(revision 2912)
@@ -35,9 +35,9 @@
 import DateTime
 request = context.REQUEST
-#students = context.portal_url.getPortalObject().campus.students
+students = context.portal_url.getPortalObject().campus.students
 student_id = context.getStudentId()
 if student_id is None:
     return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-#student = getattr(students,student_id)
+student = getattr(students,student_id)
 student_record = context.students_catalog.getRecordByKey(student_id)
 context['updatePayments']()
@@ -95,5 +95,6 @@
         if review_state == 'opened' and info['review_state'] == 'cleared_and_validated' and hasattr(so_doc, 'order_id') and not so_doc.resp_code:
             row['is_requeryable'] = True
-            row['callback_url'] = "%s/interswitch_cb" % (payments_path)
+            row['callback_url'] = "%s/payments/%s/interswitch_cb" % (student.absolute_url(),
+                                                            so.getId)
             href = '%(query_url)s' % info
             href += '?transRef=%(trans_ref)s' % row
Index: WAeUP_SRP/uniben/waeup_custom/layout_student_acco_view_slip.pt
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/layout_student_acco_view_slip.pt	(revision 2911)
+++ WAeUP_SRP/uniben/waeup_custom/layout_student_acco_view_slip.pt	(revision 2912)
@@ -9,4 +9,5 @@
                                  'acco_res_date',
                                  'acco_maint_sc_pin', 
+                                 'acco_maint_fee',                                 
                                  'acco_maint_date',
                                  )"