Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2912)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2913)
@@ -947,5 +947,5 @@
                 break
         if batch_doc is None:
-            info['maintenance_fee'] = None
+            info['maintenance_fee'] = ''
         else:
             info['maintenance_fee'] = batch_doc.cost
Index: WAeUP_SRP/base/skins/waeup_student/accommodation_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/accommodation_view.pt	(revision 2912)
+++ WAeUP_SRP/base/skins/waeup_student/accommodation_view.pt	(revision 2913)
@@ -26,9 +26,4 @@
               layout_id='student_accommodation_fe')" 
               />
-      <table>
-        <tr>
-          <td width="220px">Level:</td><td tal:content="info/level" />
-        </tr>
-      </table>
     </span>
   </metal:main>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_accommodation.xml	(revision 2912)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_accommodation.xml	(revision 2913)
@@ -39,10 +39,10 @@
  </widget>
  <widget name="acco_maint_fee" meta_type="String Widget">
-  <property name="title">Maintenance Payment Fee</property>
+  <property name="title">Maintenance Fee</property>
   <property name="fields">
    <element value="acco_maint_fee"/>
   </property>
-  <property name="label">Maintenance Payment Fee</property>
-  <property name="label_edit">Maintenance Payment Fee</property>
+  <property name="label">Maintenance Fee</property>
+  <property name="label_edit">Maintenance Fee</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -54,10 +54,10 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Access Code</property>
+  <property name="title">Hostel Maintenance PIN</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Access Code</property>
-  <property name="label_edit">Access Code</property>
+  <property name="label">Hostel Maintenance PIN</property>
+  <property name="label_edit">Hostel Maintenance PIN</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -180,8 +180,12 @@
   <row>
    <cell name="acco_maint_sc_pin"/>
-  </row>
+  </row>    
+  <row>
+   <cell name="acco_maint_pay_id"/>
+  </row>  
   <row>
    <cell name="acco_maint_date"/>
   </row>
+
  </table>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_accommodation_fe.xml	(revision 2912)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_accommodation_fe.xml	(revision 2913)
@@ -21,5 +21,5 @@
   </property>
   <property name="view_format">%d/%m/%Y</property>
-  <property name="time_setting">False</property>  
+  <property name="time_setting">False</property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -38,4 +38,20 @@
   <property name="prefix">HOM</property>
  </widget>
+ <widget name="acco_maint_fee" meta_type="String Widget">
+  <property name="title">Maintenance Fee</property>
+  <property name="fields">
+   <element value="acco_maint_fee"/>
+  </property>
+  <property name="label">Maintenance Fee</property>
+  <property name="label_edit">Maintenance Fee</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
  <widget name="acco_maint_pay_id" meta_type="String Widget">
   <property name="title">Online Payment Id</property>
@@ -131,4 +147,7 @@
    <cell name="acco_maint_date"/>
   </row>
+  <row>
+   <cell name="acco_maint_fee"/>
+  </row>  
  </table>
 </object>
Index: WAeUP_SRP/fceokene/waeup_custom/getAccommodationInfo.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getAccommodationInfo.py	(revision 2912)
+++ WAeUP_SRP/fceokene/waeup_custom/getAccommodationInfo.py	(revision 2913)
@@ -52,5 +52,6 @@
 review_state = info['review_state'] = s_brain.review_state
 
-info['session'] = current_session = context.getSessionId()[0]
+
+info['session'] = session = context.getSessionId()
 
 students_object = context.portal_url.getPortalObject().campus.students
@@ -60,5 +61,5 @@
 
 booking_allowed = False
-if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and s_brain.session == current_session:
+if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and s_brain.session == session[0]:
     booking_allowed = True
 
@@ -72,5 +73,5 @@
     info['acco'] = None
     return info
-acco_id = 'accommodation_' + str(current_session)
+acco_id = 'accommodation_' + session[0]
 acco = getattr(student,acco_id,None)
 info['acco'] = acco
@@ -91,11 +92,20 @@
     bt = 'pr'
 else:
-    if s_brain.end_level and s_brain.end_level:
-        certlevel = int(certificate.end_level)
-    else:
-        info["error"] = '"no level information provided","%s"' % c_brain.getId
-        return info
-    if s_brain.end_level >= s_brain.end_level:
-        bt = "fi"
+    res = context.portal_catalog(portal_type = "Certificate", id = s_brain.course)
+    if res:
+        c_brain = res[0]
+        certificate = c_brain.getObject().getContent()
+        try:
+            certlevel = int(certificate.end_level)
+        except:
+            info["error"] = '"no end_level for","%s"' % c_brain.getId
+            return info
+        try:
+            studentlevel = int(s_brain.level)
+        except:
+            info["error"] = '"no level for","%s"' % s_brain.getId
+            return info
+        if studentlevel >= certlevel:
+            bt = "fi"
 d['sex'] = 'male'
 if s_brain.sex:
Index: WAeUP_SRP/fceokene/waeup_custom/getSchoolFee.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getSchoolFee.py	(revision 2912)
+++ WAeUP_SRP/fceokene/waeup_custom/getSchoolFee.py	(revision 2913)
@@ -40,4 +40,5 @@
 next_info = context.getNextInfo(brain)
 next_session_str = next_info['next_session_str']
+d['next_session_id'] = next_info['next_session_id']
 d['description'] = "School Fee for Session %s" % next_session_str
 
Index: WAeUP_SRP/fceokene/waeup_custom/layout_student_acco_view_slip.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/layout_student_acco_view_slip.pt	(revision 2912)
+++ WAeUP_SRP/fceokene/waeup_custom/layout_student_acco_view_slip.pt	(revision 2913)
@@ -8,4 +8,5 @@
                               'acco_res_date',
                                  'acco_maint_pay_id', 
+                                 'acco_maint_fee',
                                  'acco_maint_date',
                                  )"
Index: WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py	(revision 2912)
+++ WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py	(revision 2913)
@@ -61,5 +61,5 @@
 info['type'] = 'online'
 info['status'] = 'started'
-info['session_id'] = student_record.session
+info['session_id'] = fee_dict['next_session_id']
 info['item'] = student_record.course
 info['category'] = 'schoolfee'