Index: WAeUP_SRP/base/__init__.py
===================================================================
--- WAeUP_SRP/base/__init__.py	(revision 2913)
+++ WAeUP_SRP/base/__init__.py	(revision 2914)
@@ -87,5 +87,5 @@
          "WAeUPDocument",
         )
-     ),       
+     ),
     )
 
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation.xml	(revision 2913)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation.xml	(revision 2914)
@@ -54,10 +54,10 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Access Code</property>
+  <property name="title">Hostel Maintenance PIN</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Access Code</property>
-  <property name="label_edit">Access Code</property>
+  <property name="label">Hostel Maintenance PIN</property>
+  <property name="label_edit">Hostel Maintenance PIN</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -180,8 +180,12 @@
   <row>
    <cell name="acco_maint_sc_pin"/>
-  </row>
+  </row>    
+  <row>
+   <cell name="acco_maint_pay_id"/>
+  </row>  
   <row>
    <cell name="acco_maint_date"/>
   </row>
+
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation_fe.xml	(revision 2913)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_accommodation_fe.xml	(revision 2914)
@@ -52,5 +52,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget> 
+ </widget>
  <widget name="acco_res_date" meta_type="DateTime Widget">
   <property name="title">Hostel Application Date</property>
@@ -145,5 +145,5 @@
   <row>
    <cell name="acco_maint_fee"/>
-  </row>  
+  </row>
   <row>
    <cell name="acco_maint_date"/>
Index: WAeUP_SRP/uniben/waeup_custom/getAccommodationInfo.py
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/getAccommodationInfo.py	(revision 2913)
+++ WAeUP_SRP/uniben/waeup_custom/getAccommodationInfo.py	(revision 2914)
@@ -67,4 +67,6 @@
 review_state = info['review_state'] = s_brain.review_state
 
+info['session'] = session = context.getSessionId()
+
 students_object = context.portal_url.getPortalObject().campus.students
 student = getattr(students_object, student_id)
@@ -73,5 +75,5 @@
 
 booking_allowed = False
-if review_state in ('cleared_and_validated','returning','school_fee_paid','courses_registered', 'courses_validated',):
+if review_state in ('cleared_and_validated','returning','school_fee_paid','courses_registered', 'courses_validated',) and s_brain.session == session[0]:
     booking_allowed = True
     if s_brain.matric_no:
@@ -87,5 +89,5 @@
     info['acco'] = None
     return info
-info['session'] = session = context.getSessionId()
+
 acco_id = 'accommodation_' + session[0]
 acco = getattr(student,acco_id,None)
@@ -97,7 +99,7 @@
     info['acco_doc'] = acco.getContent()
     info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"    
-    
-    
+    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
+
+
 d = {}
 if review_state == "cleared_and_validated":
Index: WAeUP_SRP/uniben/waeup_custom/pay_interswitch.py
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/pay_interswitch.py	(revision 2913)
+++ WAeUP_SRP/uniben/waeup_custom/pay_interswitch.py	(revision 2914)
@@ -69,5 +69,5 @@
 info['student_name'] = student_record.name
 info['student_email'] = student_record.email
-info['session_id'] = student_record.session
+info['session_id'] = student_record.session   # this holds only for new students
 info['type'] = 'online'
 info['status'] = 'started'