Index: WAeUP_SRP/base/skins/waeup_utilities/fix_lgas.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/fix_lgas.py	(revision 2978)
+++ WAeUP_SRP/base/skins/waeup_utilities/fix_lgas.py	(revision 2979)
@@ -66,6 +66,6 @@
 logger.info("found %d students" % total)
 count = 0
-commit_after = 50
-logger.info('started to fix %d lga' % total)
+commit_after = 100
+logger.info('started to fix %d records in students_catalog' % total)
 d,states,lgas = getLGAs()
 d = {}
@@ -76,8 +76,10 @@
         continue
     if student_record.lga.startswith('no state'):
+        logger.info("found invalid lga %s of %s" % (student_record.lga,student_record.id))
         continue
     #rwrite("%s: %s" % (student_record.id,student_record.lga))
     sl = student_record.lga.split('/')
     if len(sl) != 2:
+        logger.info("found invalid lga %s of %s" % (student_record.lga,student_record.id))
         #rwrite("wrong size %s: %s" % (student_record.id,sl))
         continue
@@ -85,8 +87,9 @@
     lga = sl[1].lower().strip()
     if not lga or not state:
+        logger.info("found invalid lga %s of %s" % (student_record.lga,student_record.id))
         continue
     count += 1
     if len(d) and not len(d)  % commit_after:
-        logger.info("found %d correct of  %d sofar" % (len(d),count))
+        logger.info("found %d correct of %d so far" % (len(d),count))
     state_lga = state + '_' + lga
     if state in states:
@@ -101,11 +104,11 @@
             break
         if found:
-            msg = "found %s for %s" % (state_lga,student_record.id)
+            #msg = "found %s for %s" % (state_lga,student_record.id)
             d[student_record.id] = state_lga
-        else:
-            msg = "no '%s' '%s' for %s" % (state,lga,student_record.id)
+        #else:
+            #msg = "no '%s' '%s' for %s" % (state,lga,student_record.id)
             #rwrite(msg)
-    else:
-        msg = "no state '%s' '%s' for %s" % (state,lga,student_record.id)
+    #else:
+        #msg = "no state '%s' '%s' for %s" % (state,lga,student_record.id)
         #rwrite(msg)
     # if count > 150:
Index: WAeUP_SRP/base/skins/waeup_utilities/ti_441_resolve.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/ti_441_resolve.py	(revision 2978)
+++ WAeUP_SRP/base/skins/waeup_utilities/ti_441_resolve.py	(revision 2979)
@@ -65,8 +65,8 @@
 student_records = aq_students(query)
 total = len(student_records)
-logger.info("found %d with empty clearance lga" % total)
+logger.info("found %d records with empty clearance lga" % total)
 count = 0
-commit_after = 50
-logger.info('started to fix %d lga' % total)
+commit_after = 100
+logger.info('started to fix %d records' % total)
 d,states,lgas = getLGAs()
 d = {}
@@ -74,5 +74,5 @@
     count += 1
     if len(d) and not len(d)  % commit_after:
-        logger.info("found %d correct of  %d sofar" % (len(d),count))
+        logger.info("found %d correct lga values of %d so far" % (len(d),count))
     jamb_state = getattr(getattr(students_folder,student_record.id),'application').getContent().jamb_state
     jamb_lga = getattr(getattr(students_folder,student_record.id),'application').getContent().jamb_lga
@@ -82,14 +82,14 @@
     if jamb_state and jamb_lga and jamb_state in states and jamb_lga in lgas:
         d[student_record.id] = lga
-    else:
-        msg = "no %s for %s" % (lga,student_record.id)
-        pass
+    #else:
+    #    msg = "no %s for %s" % (lga,student_record.id)
+    #    pass
     # rwrite(msg)
     # if count > 150:
     #     break
-logger.info("found %d correct lgas" % len(d))
+logger.info("found %d correct lga values" % len(d))
 edited = 1
 for student_id,lga in d.items():
-    msg = "set clearance.lga to %s for %s" % (lga,student_record.id)
+    msg = "set clearance.lga to %s for %s" % (lga,student.id)
     getattr(getattr(students_folder,student_id),'clearance').getContent().edit(mapping={'lga':lga})
     logger.info(msg)