Index: /WAeUP_SRP/uniben/profiles/default/layouts/add_student.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/add_student.xml	(revision 2983)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/add_student.xml	(revision 2984)
@@ -295,32 +295,4 @@
  </widget>
 
- <widget name="lga" meta_type="WAeUP LGA Widget">
-  <property name="title">LGA</property>
-  <property name="fields">
-   <element value="lga"/>
-  </property>
-  <property name="label">LGA</property>
-  <property name="label_edit">LGA</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
-  <widget name="state" meta_type="WAeUP LGA Widget">
-  <property name="title">State</property>
-  <property name="fields">
-   <element value="state"/>
-  </property>
-  <property name="label">State</property>
-  <property name="label_edit">State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
  <widget name="matric_no" meta_type="String Widget">
   <property name="title">Matriculation No</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 2983)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 2984)
@@ -440,20 +440,4 @@
    <property name="render_format">select</property>
   </widget>
-  <widget name="state" meta_type="WAeUP LGA Widget">
-    <property name="title">State</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">State</property>
-    <property name="label_edit">State</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
  <widget name="status" meta_type="Select Widget">
   <property name="title">Application Status</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2983)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2984)
@@ -611,20 +611,4 @@
    <property name="label_true">female</property>
    <property name="render_format">select</property>
-  </widget>
-  <widget name="state" meta_type="WAeUP LGA Widget">
-    <property name="title">State</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">State</property>
-    <property name="label_edit">State</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
   </widget>
  <widget name="status" meta_type="Select Widget">
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 2983)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 2984)
@@ -612,20 +612,4 @@
    <property name="label_true">female</property>
    <property name="render_format">select</property>
-  </widget>
-  <widget name="state" meta_type="WAeUP LGA Widget">
-    <property name="title">State</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">State</property>
-    <property name="label_edit">State</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
   </widget>
  <widget name="status" meta_type="Select Widget">
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2983)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2984)
@@ -560,20 +560,4 @@
    <property name="label_true">female</property>
    <property name="render_format">select</property>
-  </widget>
-  <widget name="state" meta_type="WAeUP LGA Widget">
-    <property name="title">State</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">State</property>
-    <property name="label_edit">State</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
   </widget>
  <widget name="status" meta_type="Select Widget">
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 2983)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 2984)
@@ -356,20 +356,4 @@
       <element value="create"/>
     </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="lga" meta_type="WAeUP LGA Widget">
-    <property name="title">LGA</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">LGA</property>
-    <property name="label_edit">LGA</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
@@ -547,20 +531,4 @@
    <property name="label_true">female</property>
    <property name="render_format">select</property>
-  </widget>
-  <widget name="state" meta_type="WAeUP LGA Widget">
-    <property name="title">State</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">State</property>
-    <property name="label_edit">State</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
   </widget>
  <widget name="status" meta_type="Select Widget">