Index: /WAeUP_SRP/base/skins/cps_custom/config_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/cps_custom/config_form.pt	(revision 2999)
+++ /WAeUP_SRP/base/skins/cps_custom/config_form.pt	(revision 3000)
@@ -21,4 +21,15 @@
 
     <table id="portalConfiguration" summary="Portal properties form">
+      <tr>
+        <th>
+          <label>
+            Institution Title
+          </label>
+        </th>
+        <td>
+          <input name="institution_title" id="institution_title" value=""
+                 tal:attributes="value pprops/institution_title" />
+        </td>
+      </tr>
       <tr>
         <th>
Index: /WAeUP_SRP/base/skins/cps_custom/reconfig.py
===================================================================
--- /WAeUP_SRP/base/skins/cps_custom/reconfig.py	(revision 2999)
+++ /WAeUP_SRP/base/skins/cps_custom/reconfig.py	(revision 3000)
@@ -18,4 +18,5 @@
     session=form.get('session'),
     static_dir=form.get('static_dir'),
+    institution_title=form.get('institution_title'),
     )
 
Index: /WAeUP_SRP/base/skins/waeup_student/admission_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/admission_form.pt	(revision 2999)
+++ /WAeUP_SRP/base/skins/waeup_student/admission_form.pt	(revision 3000)
@@ -27,5 +27,6 @@
   
           
-      <h3>This is to inform you that you have been provisionally admitted into University of Benin as follows:
+      <h3>This is to inform you that you have been provisionally admitted into 
+      <span tal:replace="here/portal_properties/institution_title" /> as follows:
       </h3>
 
Index: /WAeUP_SRP/base/skins/waeup_student/admission_rejected_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/admission_rejected_view.pt	(revision 2999)
+++ /WAeUP_SRP/base/skins/waeup_student/admission_rejected_view.pt	(revision 3000)
@@ -2,5 +2,5 @@
   <metal:main fill-slot="main">
 
-    <h3>You are not admitted into the University of Benin!</h3>
+    <h3>You are not admitted into <span tal:replace="here/portal_properties/institution_title" />!</h3>
 
   </metal:main>
Index: /WAeUP_SRP/base/skins/waeup_student/admission_slip.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/admission_slip.pt	(revision 2999)
+++ /WAeUP_SRP/base/skins/waeup_student/admission_slip.pt	(revision 3000)
@@ -11,5 +11,6 @@
     <span tal:condition="info">
 
-      <h3>This is to inform you that you have been provisionally admitted into University of Benin as follows:
+      <h3>This is to inform you that you have been provisionally admitted into 
+      <span tal:replace="here/portal_properties/institution_title" /> as follows:
       </h3>
 
Index: /WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2999)
+++ /WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3000)
@@ -75,5 +75,6 @@
           <metal:block tal:condition="python:info['status'] == 'created'">
               <br />
-                <strong>You have been provisionally admitted into University of Benin. Your member record has been created. 
+                <strong>You have been provisionally admitted into <span tal:replace="here/portal_properties/institution_title" />. 
+                        Your member record has been created. 
                         Please purchase a second Application Scratch Card and proceed to 'Check Admission'.</strong>
               <br />  <br />  
Index: /WAeUP_SRP/fceokene/profiles/customized_files.txt
===================================================================
--- /WAeUP_SRP/fceokene/profiles/customized_files.txt	(revision 2999)
+++ /WAeUP_SRP/fceokene/profiles/customized_files.txt	(revision 3000)
@@ -1,3 +1,4 @@
 actions.xml
+properties.xml
 vocabularies/pin_prefixes.xml
 layouts/acco_hall.xml
Index: /WAeUP_SRP/fceokene/profiles/default/properties.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/properties.xml	(revision 2999)
+++ /WAeUP_SRP/fceokene/profiles/default/properties.xml	(revision 3000)
@@ -6,3 +6,4 @@
  <property name="session" type="string">2007/2008</property>
  <property name="static_dir" type="string">static/</property>
+ <property name="institution_title" type="string">Federal College of Education Okene</property>
 </site>