Index: /WAeUP_SRP/base/skins/cps_custom/folder_delete.py
===================================================================
--- /WAeUP_SRP/base/skins/cps_custom/folder_delete.py	(revision 3007)
+++ /WAeUP_SRP/base/skins/cps_custom/folder_delete.py	(revision 3008)
@@ -19,7 +19,4 @@
 from Products.CMFCore.utils import getToolByName
 here = context
-
-#if context.portal_type == "University":
-#    here = context.academics
 
 ti = getToolByName(here, 'portal_types').getTypeInfo(here.portal_type)
Index: eUP_SRP/base/skins/waeup_student/application_pin_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/application_pin_form.pt	(revision 3007)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-  <metal:block use-macro="here/main_template/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h3>Apply for the Post University Matriculation Examination! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Buy an Application Scratch Card.</li> 
-            <li>Enter your JAMB Registration Number and the Application PIN above.</li> 
-            <li>Upload your passport picture.</li> 
-            <li>Apply for admission.</li>
-            <li>Print the Application Acknowledgement Slip.</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: /WAeUP_SRP/base/skins/waeup_student/application_pin_form.pt_not_used
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/application_pin_form.pt_not_used	(revision 3008)
+++ /WAeUP_SRP/base/skins/waeup_student/application_pin_form.pt_not_used	(revision 3008)
@@ -0,0 +1,32 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   jamb options/jamb/getContent|nothing;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Apply for the Post University Matriculation Examination! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+          <p>Instructions :</p>
+          <ul>
+            <li>Buy an Application Scratch Card.</li> 
+            <li>Enter your JAMB Registration Number and the Application PIN above.</li> 
+            <li>Upload your passport picture.</li> 
+            <li>Apply for admission.</li>
+            <li>Print the Application Acknowledgement Slip.</li>
+          </ul>
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: /WAeUP_SRP/base/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/clearance_edit_lib.pt	(revision 3007)
+++ /WAeUP_SRP/base/skins/waeup_student/clearance_edit_lib.pt	(revision 3008)
@@ -11,5 +11,6 @@
       that, if it is discovered at any time that I do not possess any of the 
       qualifications which I claim to have obtained, I will be expelled from the 
-      University and shall not be re-admitted for the same or any other programme, 
+      <span tal:replace="here/portal_properties/institution_title" /> 
+      and shall not be re-admitted for the same or any other programme, 
       even if I have upgraded my previous qualifications or possess additional 
       qualifications.    