Index: WAeUP_SRP/base/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/clearance_edit_lib.pt	(revision 3009)
+++ WAeUP_SRP/base/skins/waeup_student/clearance_edit_lib.pt	(revision 3010)
@@ -57,5 +57,6 @@
       that, if it is discovered at any time that I do not possess any of the 
       qualifications which I claim to have obtained, I will be expelled from the 
-      University and shall not be re-admitted for the same or any other programme, 
+      <span tal:replace="here/portal_properties/institution_title" />
+      and shall not be re-admitted for the same or any other programme, 
       even if I have upgraded my previous qualifications or possess additional 
       qualifications.    
Index: WAeUP_SRP/fceokene/profiles/customized_files.txt
===================================================================
--- WAeUP_SRP/fceokene/profiles/customized_files.txt	(revision 3009)
+++ WAeUP_SRP/fceokene/profiles/customized_files.txt	(revision 3010)
@@ -6,4 +6,5 @@
 layouts/student_accommodation_fe.xml
 layouts/clearance.xml (clearance without scratch card)
+layouts/clearance_fe.xml
 vocabularies/cos.xml (edited by Issoufou)
 vocabularies/levels.xml
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml	(revision 3009)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml	(revision 3010)
@@ -789,10 +789,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former UNIBEN Student</property>
+  <property name="title">Former FCEO Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former UNIBEN Student</property>
-  <property name="label_edit">Former UNIBEN Student</property>
+  <property name="label">Former FCEO Student</property>
+  <property name="label_edit">Former FCEO Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -874,40 +874,4 @@
   <row>
    <cell name="scd_sit_scan"/>
-  </row>
-  <row>
-   <cell name="alr_fname"/>
-  </row>
-  <row>
-   <cell name="alr_no"/>
-  </row>
-  <row>
-   <cell name="alr_date"/>
-  </row>
-  <row>
-   <cell name="alr_results"/>
-  </row>
-  <row>
-   <cell name="alr_scan"/>
-  </row>
-  <row>
-   <cell name="hq_type"/>
-  </row>
-  <row>
-   <cell name="hq_grade"/>
-  </row>
-  <row>
-   <cell name="hq_school"/>
-  </row>
-  <row>
-   <cell name="hq_matric_no"/>
-  </row>
-  <row>
-   <cell name="hq_session"/>
-  </row>
-  <row>
-   <cell name="hq_disc"/>
-  </row>
-  <row>
-   <cell name="hq_scan"/>
   </row>
   <row>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml	(revision 3009)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml	(revision 3010)
@@ -777,10 +777,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former UNIBEN Student</property>
+  <property name="title">Former FCEO Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former UNIBEN Student</property>
-  <property name="label_edit">Former UNIBEN Student</property>
+  <property name="label">Former FCEO Student</property>
+  <property name="label_edit">Former FCEO Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -865,40 +865,4 @@
   </row>
   <row>
-   <cell name="alr_fname"/>
-  </row>
-  <row>
-   <cell name="alr_no"/>
-  </row>
-  <row>
-   <cell name="alr_date"/>
-  </row>
-  <row>
-   <cell name="alr_results"/>
-  </row>
-  <row>
-   <cell name="alr_scan"/>
-  </row>
-  <row>
-   <cell name="hq_type"/>
-  </row>
-  <row>
-   <cell name="hq_grade"/>
-  </row>
-  <row>
-   <cell name="hq_school"/>
-  </row>
-  <row>
-   <cell name="hq_matric_no"/>
-  </row>
-  <row>
-   <cell name="hq_session"/>
-  </row>
-  <row>
-   <cell name="hq_disc"/>
-  </row>
-  <row>
-   <cell name="hq_scan"/>
-  </row>
-  <row>
    <cell name="birth_certificate"/>
   </row>
@@ -939,4 +903,5 @@
    <cell name="def_adm"/>
   </row>
+
  </table>
 </object>